com.microfocus.awm.meta

## Interface TaurusFactory

- All Superinterfaces:
    org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    TaurusFactoryImpl

      public interface TaurusFactory
      extends org.eclipse.emf.ecore.EFactory

  See Also:
    `TaurusPackage`

- - ### Property Summary

    All Methods Instance Methods Abstract Methods
    Type | Property and Description
    --- | ---
    `LinkedProperty` | `createLinked` Returns a new object of class 'Linked Property'.
    `Property` | `create` Returns a new object of class 'Property'.
    `RApplicationProperty` | `createRApplication` Returns a new object of class 'RApplication Property'.
    `RElementlistProperty` | `createRElementlist` Returns a new object of class 'RElementlist Property'.
    `RElementProperty` | `createRElement` Returns a new object of class 'RElement Property'.
    `RFileProperty` | `createRFile` Returns a new object of class 'RFile Property'.
    `RIDProperty` | `createRID` Returns a new object of class 'RID Property'.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TaurusFactory` | `eINSTANCE` The singleton instance of the factory.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActionDescriptor` | `createActionDescriptor()` Returns a new object of class 'Action Descriptor'.
    `ApplicationOptions` | `createApplicationOptions()` Returns a new object of class 'Application Options'.
    `CActionDescriptors` | `createCActionDescriptors()` Returns a new object of class 'CAction Descriptors'.
    `CElementListStructures` | `createCElementListStructures()` Returns a new object of class 'CElement List Structures'.
    `CElementTypes` | `createCElementTypes()` Returns a new object of class 'CElement Types'.
    `CFileDescriptors` | `createCFileDescriptors()` Returns a new object of class 'CFile Descriptors'.
    `CFilterTypes` | `createCFilterTypes()` Returns a new object of class 'CFilter Types'.
    `CFunctionPackages` | `createCFunctionPackages()` Returns a new object of class 'CFunction Packages'.
    `CGlobalActions` | `createCGlobalActions()` Returns a new object of class 'CGlobal Actions'.
    `CIcons` | `createCIcons()` Returns a new object of class 'CIcons'.
    `CIDDefinitions` | `createCIDDefinitions()` Returns a new object of class 'CID Definitions'.
    `ComplexAttributeBase` | `createComplexAttribute()` Returns a new object of class 'Complex Attribute'.
    `ComplexAttributeBase` | `createComplexAttributeBase()` Returns a new object of class 'Complex Attribute Base'.
    `CProperties` | `createCProperties()` Returns a new object of class 'CProperties'.
    `CToolCategory` | `createCToolCategory()` Returns a new object of class 'CTool Category'.
    `CToolDescriptors` | `createCToolDescriptors()` Returns a new object of class 'CTool Descriptors'.
    `DocumentRoot` | `createDocumentRoot()` Returns a new object of class 'Document Root'.
    `org.eclipse.emf.ecore.EObject` | `createDynamicModelExtensionObject()` Returns a new object of class 'Dynamic Model Extension Object'.
    `ToolDescriptor` | `createDynamicToolDescriptor()` Returns a new object of class 'Dynamic Tool Descriptor'.
    `RToolParameter` | `createDynamicToolParameter(ToolTypeParameter pParameter)` Creates a dynamic tool parameter based on a `ToolTypeParameter`.
    `ElementListStructure` | `createElementListStructure()` Returns a new object of class 'Element List Structure'.
    `ElementType` | `createElementType()` Returns a new object of class 'Element Type'.
    `ErrorView` | `createErrorView()` Returns a new object of class 'Error View'.
    `FileDescriptor` | `createFileDescriptor()` Returns a new object of class 'File Descriptor'.
    `FileDescriptor` | `createFileDescriptor(FileDescriptorExtension pFileDescriptorExtension)` Creates an `FileDescriptor` from a `FileDescriptorExtension`.
    `FilterType` | `createFilterType()` Returns a new object of class 'Filter Type'.
    `FunctionPackage` | `createFunctionPackage()` Returns a new object of class 'Function Package'.
    `FunctionPackage` | `createFunctionPackage(FunctionPackageExtension pFpe)` Properly creates a function package with its function package extension.
    `FunctionPackageIcon` | `createFunctionPackageIcon()` Returns a new object of class 'Function Package Icon'.
    `FunctionPackageIcon` | `createFunctionPackageIcon(IconExtension pIconExtension)` Properly creates an `FunctionPackageIcon`.
    `GenericSymbols` | `createGenericSymbols()` Returns a new object of class 'Generic Symbols'.
    `GlobalAction` | `createGlobalAction()` Returns a new object of class 'Global Action'.
    `Icon` | `createIcon()` Returns a new object of class 'Icon'.
    `IDDefinition` | `createIDDefinition()` Returns a new object of class 'ID Definition'.
    `IDDefinition` | `createIDDefinition(IDDefinitionExtension pIdDefinitionExtension)` Creates an ID definition from a `IDDefinitionExtension`.
    `ISAEditorAction` | `createISAEditorAction()` Returns a new object of class 'ISA Editor Action'.
    `ISAISPFPanel` | `createISAISPFPanel()` Returns a new object of class 'ISAISPF Panel'.
    `ISAISPFTool` | `createISAISPFTool()` Returns a new object of class 'ISAISPF Tool'.
    `ISAPanelCommand` | `createISAPanelCommand()` Returns a new object of class 'ISA Panel Command'.
    `ISAPlugIn` | `createISAPlugIn()` Returns a new object of class 'ISA Plug In'.
    `ISAWorkbenchAction` | `createISAWorkbenchAction()` Returns a new object of class 'ISA Workbench Action'.
    `LinkedElementType` | `createLinkedElementType()` Returns a new object of class 'Linked Element Type'.
    `LinkedElementType` | `createLinkedElementType(LinkedElementTypeExtension pLete)` Properly creates a new linked element type.
    `LinkedProperty` | `createLinkedProperty()` Returns a new object of class 'Linked Property'.
    `LinkedProperty` | `createLinkedProperty(LinkedPropertyExtension pProperty)` Properly creates a linked property.
    `PredefinedIcon` | `createPredefinedIcon()` Returns a new object of class 'Predefined Icon'.
    `Property` | `createProperty()` Returns a new object of class 'Property'.
    `Property` | `createProperty(ModelPropertyExtension pMpe)` Creates a property from a `ModelPropertyExtension`.
    `RActionComplexCondition` | `createRActionComplexCondition()` Returns a new object of class 'RAction Complex Condition'.
    `RActionParmOverride` | `createRActionParmOverride()` Returns a new object of class 'RAction Parm Override'.
    `RActionSimpleCondition` | `createRActionSimpleCondition()` Returns a new object of class 'RAction Simple Condition'.
    `RActionTool` | `createRActionTool()` Returns a new object of class 'RAction Tool'.
    `RApplicationAction` | `createRApplicationAction()` Returns a new object of class 'RApplication Action'.
    `RApplicationProperty` | `createRApplicationProperty()` Returns a new object of class 'RApplication Property'.
    `RDecorationValue` | `createRDecorationValue()` Returns a new object of class 'RDecoration Value'.
    `RElementAction` | `createRElementAction()` Returns a new object of class 'RElement Action'.
    `RElementFilter` | `createRElementFilter()` Returns a new object of class 'RElement Filter'.
    `RElementGetChildrenAction` | `createRElementGetChildrenAction()` Returns a new object of class 'RElement Get Children Action'.
    `RElementGetProperties` | `createRElementGetProperties()` Returns a new object of class 'RElement Get Properties'.
    `RElementlistAction` | `createRElementlistAction()` Returns a new object of class 'RElementlist Action'.
    `RElementlistColumn` | `createRElementlistColumn()` Returns a new object of class 'RElementlist Column'.
    `RElementlistProperty` | `createRElementlistProperty()` Returns a new object of class 'RElementlist Property'.
    `RElementProperty` | `createRElementProperty()` Returns a new object of class 'RElement Property'.
    `RElementTextDecoration` | `createRElementTextDecoration()` Returns a new object of class 'RElement Text Decoration'.
    `REnabledCondition` | `createREnabledCondition()` Returns a new object of class 'REnabled Condition'.
    `RErrorViewAction` | `createRErrorViewAction()` Returns a new object of class 'RError View Action'.
    `RFileAction` | `createRFileAction()` Returns a new object of class 'RFile Action'.
    `RFileAttribute` | `createRFileAttribute()` Returns a new object of class 'RFile Attribute'.
    `RFileElement` | `createRFileElement()` Returns a new object of class 'RFile Element'.
    `RFileProperty` | `createRFileProperty()` Returns a new object of class 'RFile Property'.
    `RFilterAction` | `createRFilterAction()` Returns a new object of class 'RFilter Action'.
    `RFilterFiltercriterion` | `createRFilterFiltercriterion()` Returns a new object of class 'RFilter Filtercriterion'.
    `RIDProperty` | `createRIDProperty()` Returns a new object of class 'RID Property'.
    `RISPFToolPanel` | `createRISPFToolPanel()` Returns a new object of class 'RISPF Tool Panel'.
    `RPanelField` | `createRPanelField()` Returns a new object of class 'RPanel Field'.
    `RSelectionEnabledCondition` | `createRSelectionEnabledCondition()` Returns a new object of class 'RSelection Enabled Condition'.
    `RSelectionVisibleCondition` | `createRSelectionVisibleCondition()` Returns a new object of class 'RSelection Visible Condition'.
    `RToolInParameter` | `createRToolInParameter()` Returns a new object of class 'RTool In Parameter'.
    `RToolOutParameter` | `createRToolOutParameter()` Returns a new object of class 'RTool Out Parameter'.
    `RToolValidateAction` | `createRToolValidateAction()` Returns a new object of class 'RTool Validate Action'.
    `RVisibleCondition` | `createRVisibleCondition()` Returns a new object of class 'RVisible Condition'.
    `SelectionPropertyMapping` | `createSelectionPropertyMapping()` Returns a new object of class 'Selection Property Mapping'.
    `SpecificAttribute` | `createSpecificAttribute()` Returns a new object of class 'Specific Attribute'.
    `TAURUSConfiguration` | `createTAURUSConfiguration()` Returns a new object of class 'TAURUS Configuration'.
    `ToolDescriptor` | `createToolDescriptor()` Returns a new object of class 'Tool Descriptor'.
    `ToolDescriptor` | `createToolDescriptor(ToolTypeExtension pTte)` Properly creates a tool descriptor with its tool type extension.
    `TaurusPackage` | `getTaurusPackage()` Returns the package supported by this factory.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `convertToString, create, createFromString, getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Property Detail

    - #### createLinked

          LinkedProperty createLinkedProperty

      Returns a new object of class 'Linked Property'.

    - #### create

          Property createProperty

      Returns a new object of class 'Property'.

    - #### createRApplication

          RApplicationProperty createRApplicationProperty

      Returns a new object of class 'RApplication Property'.

    - #### createRElementlist

          RElementlistProperty createRElementlistProperty

      Returns a new object of class 'RElementlist Property'.

    - #### createRElement

          RElementProperty createRElementProperty

      Returns a new object of class 'RElement Property'.

    - #### createRFile

          RFileProperty createRFileProperty

      Returns a new object of class 'RFile Property'.

    - #### createRID

          RIDProperty createRIDProperty

      Returns a new object of class 'RID Property'.

  - ### Field Detail

    - #### eINSTANCE

          static final TaurusFactory eINSTANCE

      The singleton instance of the factory.

  - ### Method Detail

    - #### createActionDescriptor

          ActionDescriptor createActionDescriptor()

      Returns a new object of class 'Action Descriptor'.
      Returns:
        a new object of class 'Action Descriptor'.

    - #### createApplicationOptions

          ApplicationOptions createApplicationOptions()

      Returns a new object of class 'Application Options'.
      Returns:
        a new object of class 'Application Options'.

    - #### createCActionDescriptors

          CActionDescriptors createCActionDescriptors()

      Returns a new object of class 'CAction Descriptors'.
      Returns:
        a new object of class 'CAction Descriptors'.

    - #### createCElementListStructures

          CElementListStructures createCElementListStructures()

      Returns a new object of class 'CElement List Structures'.
      Returns:
        a new object of class 'CElement List Structures'.

    - #### createCElementTypes

          CElementTypes createCElementTypes()

      Returns a new object of class 'CElement Types'.
      Returns:
        a new object of class 'CElement Types'.

    - #### createCFileDescriptors

          CFileDescriptors createCFileDescriptors()

      Returns a new object of class 'CFile Descriptors'.
      Returns:
        a new object of class 'CFile Descriptors'.

    - #### createCFilterTypes

          CFilterTypes createCFilterTypes()

      Returns a new object of class 'CFilter Types'.
      Returns:
        a new object of class 'CFilter Types'.

    - #### createCFunctionPackages

          CFunctionPackages createCFunctionPackages()

      Returns a new object of class 'CFunction Packages'.
      Returns:
        a new object of class 'CFunction Packages'.

    - #### createCGlobalActions

          CGlobalActions createCGlobalActions()

      Returns a new object of class 'CGlobal Actions'.
      Returns:
        a new object of class 'CGlobal Actions'.

    - #### createCIcons

          CIcons createCIcons()

      Returns a new object of class 'CIcons'.
      Returns:
        a new object of class 'CIcons'.

    - #### createCIDDefinitions

          CIDDefinitions createCIDDefinitions()

      Returns a new object of class 'CID Definitions'.
      Returns:
        a new object of class 'CID Definitions'.

    - #### createComplexAttribute

          ComplexAttributeBase createComplexAttribute()

      Returns a new object of class 'Complex Attribute'.
      Returns:
        a new object of class 'Complex Attribute'.

    - #### createComplexAttributeBase

          ComplexAttributeBase createComplexAttributeBase()

      Returns a new object of class 'Complex Attribute Base'.
      Returns:
        a new object of class 'Complex Attribute Base'.

    - #### createCProperties

          CProperties createCProperties()

      Returns a new object of class 'CProperties'.
      Returns:
        a new object of class 'CProperties'.

    - #### createCToolCategory

          CToolCategory createCToolCategory()

      Returns a new object of class 'CTool Category'.
      Returns:
        a new object of class 'CTool Category'.

    - #### createCToolDescriptors

          CToolDescriptors createCToolDescriptors()

      Returns a new object of class 'CTool Descriptors'.
      Returns:
        a new object of class 'CTool Descriptors'.

    - #### createDocumentRoot

          DocumentRoot createDocumentRoot()

      Returns a new object of class 'Document Root'.
      Returns:
        a new object of class 'Document Root'.

    - #### createDynamicModelExtensionObject

          org.eclipse.emf.ecore.EObject createDynamicModelExtensionObject()

      Returns a new object of class 'Dynamic Model Extension Object'.
      Returns:
        a new object of class 'Dynamic Model Extension Object'.

    - #### createElementListStructure

          ElementListStructure createElementListStructure()

      Returns a new object of class 'Element List Structure'.
      Returns:
        a new object of class 'Element List Structure'.

    - #### createElementType

          ElementType createElementType()

      Returns a new object of class 'Element Type'.
      Returns:
        a new object of class 'Element Type'.

    - #### createErrorView

          ErrorView createErrorView()

      Returns a new object of class 'Error View'.
      Returns:
        a new object of class 'Error View'.

    - #### createFileDescriptor

          FileDescriptor createFileDescriptor()

      Returns a new object of class 'File Descriptor'.
      Returns:
        a new object of class 'File Descriptor'.

    - #### createFilterType

          FilterType createFilterType()

      Returns a new object of class 'Filter Type'.
      Returns:
        a new object of class 'Filter Type'.

    - #### createFunctionPackage

          FunctionPackage createFunctionPackage()

      Returns a new object of class 'Function Package'.
      Returns:
        a new object of class 'Function Package'.

    - #### createFunctionPackageIcon

          FunctionPackageIcon createFunctionPackageIcon()

      Returns a new object of class 'Function Package Icon'.
      Returns:
        a new object of class 'Function Package Icon'.

    - #### createGenericSymbols

          GenericSymbols createGenericSymbols()

      Returns a new object of class 'Generic Symbols'.
      Returns:
        a new object of class 'Generic Symbols'.

    - #### createGlobalAction

          GlobalAction createGlobalAction()

      Returns a new object of class 'Global Action'.
      Returns:
        a new object of class 'Global Action'.

    - #### createIcon

          Icon createIcon()

      Returns a new object of class 'Icon'.
      Returns:
        a new object of class 'Icon'.

    - #### createIDDefinition

          IDDefinition createIDDefinition()

      Returns a new object of class 'ID Definition'.
      Returns:
        a new object of class 'ID Definition'.

    - #### createISAEditorAction

          ISAEditorAction createISAEditorAction()

      Returns a new object of class 'ISA Editor Action'.
      Returns:
        a new object of class 'ISA Editor Action'.

    - #### createISAISPFPanel

          ISAISPFPanel createISAISPFPanel()

      Returns a new object of class 'ISAISPF Panel'.
      Returns:
        a new object of class 'ISAISPF Panel'.

    - #### createISAISPFTool

          ISAISPFTool createISAISPFTool()

      Returns a new object of class 'ISAISPF Tool'.
      Returns:
        a new object of class 'ISAISPF Tool'.

    - #### createISAPanelCommand

          ISAPanelCommand createISAPanelCommand()

      Returns a new object of class 'ISA Panel Command'.
      Returns:
        a new object of class 'ISA Panel Command'.

    - #### createISAPlugIn

          ISAPlugIn createISAPlugIn()

      Returns a new object of class 'ISA Plug In'.
      Returns:
        a new object of class 'ISA Plug In'.

    - #### createISAWorkbenchAction

          ISAWorkbenchAction createISAWorkbenchAction()

      Returns a new object of class 'ISA Workbench Action'.
      Returns:
        a new object of class 'ISA Workbench Action'.

    - #### createLinkedElementType

          LinkedElementType createLinkedElementType()

      Returns a new object of class 'Linked Element Type'.
      Returns:
        a new object of class 'Linked Element Type'.

    - #### createLinkedElementType

          LinkedElementType createLinkedElementType(LinkedElementTypeExtension pLete)

      Properly creates a new linked element type.
      Parameters:
        `pLete` - linked element type extension
      Returns:
        a new object of class 'Linked Element Type'.

    - #### createLinkedProperty

          LinkedProperty createLinkedProperty()

      Returns a new object of class 'Linked Property'.

    - #### createPredefinedIcon

          PredefinedIcon createPredefinedIcon()

      Returns a new object of class 'Predefined Icon'.
      Returns:
        a new object of class 'Predefined Icon'.

    - #### createLinkedProperty

          LinkedProperty createLinkedProperty(LinkedPropertyExtension pProperty)

      Properly creates a linked property.
      Parameters:
        `pProperty` - the linked property extension
      Returns:
        a new object of class 'Linked Property'.

    - #### createFunctionPackageIcon

          FunctionPackageIcon createFunctionPackageIcon(IconExtension pIconExtension)

      Properly creates an `FunctionPackageIcon`.
      Parameters:
        `pIconExtension` - the icon extension
      Returns:
        a new object of class 'Function Package Icon'.

    - #### createProperty

          Property createProperty()

      Returns a new object of class 'Property'.

    - #### createRActionComplexCondition

          RActionComplexCondition createRActionComplexCondition()

      Returns a new object of class 'RAction Complex Condition'.
      Returns:
        a new object of class 'RAction Complex Condition'.

    - #### createRActionParmOverride

          RActionParmOverride createRActionParmOverride()

      Returns a new object of class 'RAction Parm Override'.
      Returns:
        a new object of class 'RAction Parm Override'.

    - #### createRActionSimpleCondition

          RActionSimpleCondition createRActionSimpleCondition()

      Returns a new object of class 'RAction Simple Condition'.
      Returns:
        a new object of class 'RAction Simple Condition'.

    - #### createRActionTool

          RActionTool createRActionTool()

      Returns a new object of class 'RAction Tool'.
      Returns:
        a new object of class 'RAction Tool'.

    - #### createRApplicationAction

          RApplicationAction createRApplicationAction()

      Returns a new object of class 'RApplication Action'.
      Returns:
        a new object of class 'RApplication Action'.

    - #### createRElementAction

          RElementAction createRElementAction()

      Returns a new object of class 'RElement Action'.
      Returns:
        a new object of class 'RElement Action'.

    - #### createRElementFilter

          RElementFilter createRElementFilter()

      Returns a new object of class 'RElement Filter'.
      Returns:
        a new object of class 'RElement Filter'.

    - #### createRElementGetProperties

          RElementGetProperties createRElementGetProperties()

      Returns a new object of class 'RElement Get Properties'.
      Returns:
        a new object of class 'RElement Get Properties'.

    - #### createRElementGetChildrenAction

          RElementGetChildrenAction createRElementGetChildrenAction()

      Returns a new object of class 'RElement Get Children Action'.
      Returns:
        a new object of class 'RElement Get Children Action'.

    - #### createRElementlistAction

          RElementlistAction createRElementlistAction()

      Returns a new object of class 'RElementlist Action'.
      Returns:
        a new object of class 'RElementlist Action'.

    - #### createRElementlistColumn

          RElementlistColumn createRElementlistColumn()

      Returns a new object of class 'RElementlist Column'.
      Returns:
        a new object of class 'RElementlist Column'.

    - #### createRApplicationProperty

          RApplicationProperty createRApplicationProperty()

      Returns a new object of class 'RApplication Property'.

    - #### createRElementlistProperty

          RElementlistProperty createRElementlistProperty()

      Returns a new object of class 'RElementlist Property'.

    - #### createRElementProperty

          RElementProperty createRElementProperty()

      Returns a new object of class 'RElement Property'.

    - #### createRSelectionEnabledCondition

          RSelectionEnabledCondition createRSelectionEnabledCondition()

      Returns a new object of class 'RSelection Enabled Condition'.
      Returns:
        a new object of class 'RSelection Enabled Condition'.

    - #### createRSelectionVisibleCondition

          RSelectionVisibleCondition createRSelectionVisibleCondition()

      Returns a new object of class 'RSelection Visible Condition'.
      Returns:
        a new object of class 'RSelection Visible Condition'.

    - #### createREnabledCondition

          REnabledCondition createREnabledCondition()

      Returns a new object of class 'REnabled Condition'.
      Returns:
        a new object of class 'REnabled Condition'.

    - #### createRVisibleCondition

          RVisibleCondition createRVisibleCondition()

      Returns a new object of class 'RVisible Condition'.
      Returns:
        a new object of class 'RVisible Condition'.

    - #### createRElementTextDecoration

          RElementTextDecoration createRElementTextDecoration()

      Returns a new object of class 'RElement Text Decoration'.
      Returns:
        a new object of class 'RElement Text Decoration'.

    - #### createRDecorationValue

          RDecorationValue createRDecorationValue()

      Returns a new object of class 'RDecoration Value'.
      Returns:
        a new object of class 'RDecoration Value'.

    - #### createRErrorViewAction

          RErrorViewAction createRErrorViewAction()

      Returns a new object of class 'RError View Action'.
      Returns:
        a new object of class 'RError View Action'.

    - #### createRFileAction

          RFileAction createRFileAction()

      Returns a new object of class 'RFile Action'.
      Returns:
        a new object of class 'RFile Action'.

    - #### createRFileAttribute

          RFileAttribute createRFileAttribute()

      Returns a new object of class 'RFile Attribute'.
      Returns:
        a new object of class 'RFile Attribute'.

    - #### createRFileElement

          RFileElement createRFileElement()

      Returns a new object of class 'RFile Element'.
      Returns:
        a new object of class 'RFile Element'.

    - #### createRFileProperty

          RFileProperty createRFileProperty()

      Returns a new object of class 'RFile Property'.

    - #### createRFilterAction

          RFilterAction createRFilterAction()

      Returns a new object of class 'RFilter Action'.
      Returns:
        a new object of class 'RFilter Action'.

    - #### createRFilterFiltercriterion

          RFilterFiltercriterion createRFilterFiltercriterion()

      Returns a new object of class 'RFilter Filtercriterion'.
      Returns:
        a new object of class 'RFilter Filtercriterion'.

    - #### createRIDProperty

          RIDProperty createRIDProperty()

      Returns a new object of class 'RID Property'.

    - #### createRISPFToolPanel

          RISPFToolPanel createRISPFToolPanel()

      Returns a new object of class 'RISPF Tool Panel'.
      Returns:
        a new object of class 'RISPF Tool Panel'.

    - #### createRPanelField

          RPanelField createRPanelField()

      Returns a new object of class 'RPanel Field'.
      Returns:
        a new object of class 'RPanel Field'.

    - #### createRToolInParameter

          RToolInParameter createRToolInParameter()

      Returns a new object of class 'RTool In Parameter'.
      Returns:
        a new object of class 'RTool In Parameter'.

    - #### createRToolOutParameter

          RToolOutParameter createRToolOutParameter()

      Returns a new object of class 'RTool Out Parameter'.
      Returns:
        a new object of class 'RTool Out Parameter'.

    - #### createRToolValidateAction

          RToolValidateAction createRToolValidateAction()

      Returns a new object of class 'RTool Validate Action'.
      Returns:
        a new object of class 'RTool Validate Action'.

    - #### createSelectionPropertyMapping

          SelectionPropertyMapping createSelectionPropertyMapping()

      Returns a new object of class 'Selection Property Mapping'.
      Returns:
        a new object of class 'Selection Property Mapping'.

    - #### createSpecificAttribute

          SpecificAttribute createSpecificAttribute()

      Returns a new object of class 'Specific Attribute'.
      Returns:
        a new object of class 'Specific Attribute'.

    - #### createTAURUSConfiguration

          TAURUSConfiguration createTAURUSConfiguration()

      Returns a new object of class 'TAURUS Configuration'.
      Returns:
        a new object of class 'TAURUS Configuration'.

    - #### createToolDescriptor

          ToolDescriptor createToolDescriptor()

      Returns a new object of class 'Tool Descriptor'.
      Returns:
        a new object of class 'Tool Descriptor'.

    - #### createDynamicToolDescriptor

          ToolDescriptor createDynamicToolDescriptor()

      Returns a new object of class 'Dynamic Tool Descriptor'.
      Returns:
        a new object of class 'Dynamic Tool Descriptor'.

    - #### getTaurusPackage

          TaurusPackage getTaurusPackage()

      Returns the package supported by this factory.
      Returns:
        the package supported by this factory.

    - #### createToolDescriptor

          ToolDescriptor createToolDescriptor(ToolTypeExtension pTte)

      Properly creates a tool descriptor with its tool type extension.
      Parameters:
        `pTte` - the tool type extension
      Returns:
        the created tool descriptor

    - #### createFunctionPackage

          FunctionPackage createFunctionPackage(FunctionPackageExtension pFpe)

      Properly creates a function package with its function package extension.
      Parameters:
        `pFpe` - the function package extension
      Returns:
        the created function package

    - #### createProperty

          Property createProperty(ModelPropertyExtension pMpe)

      Creates a property from a `ModelPropertyExtension`.
      Parameters:
        `pMpe` - the model property extension to create the property from
      Returns:
        the created property

    - #### createIDDefinition

          IDDefinition createIDDefinition(IDDefinitionExtension pIdDefinitionExtension)

      Creates an ID definition from a `IDDefinitionExtension`. Does not create any `Property`s or `RIDProperty` references defined by the ID definition extension.
      Parameters:
        `pIdDefinitionExtension` - the extension to create the ID definition from
      Returns:
        the created ID definition

    - #### createFileDescriptor

          FileDescriptor createFileDescriptor(FileDescriptorExtension pFileDescriptorExtension)

      Creates an `FileDescriptor` from a `FileDescriptorExtension`. Does not create any `Property`s or `RFileProperty` references defined by the file descriptor extension.
      Parameters:
        `pFileDescriptorExtension` - the extension to create the `FileDescriptor` from
      Returns:
        the created `FileDescriptor`

    - #### createDynamicToolParameter

          RToolParameter createDynamicToolParameter(ToolTypeParameter pParameter)

      Creates a dynamic tool parameter based on a `ToolTypeParameter`.
      Parameters:
        `pParameter` - the `ToolTypeParameter`
      Returns:
        the `RToolParameter` or `null`, if no dynamic tool parameter could be created.

Copyright © 2015 Micro Focus GmbH. All rights reserved.